using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("作业任务库岗位表")]
    public class T_HM_OPERATION_LINK_POST : MesEntityBase
    {
        /// <summary>
        /// 作业任务库
        /// </summary>
        [Description("作业任务库")]
        [DataFieldForeignKey("Nav_OperationLink", "Nav_LinkPost")]
        public Guid OPERATION_LINK_ID { get; set; }

        /// <summary>
        /// 导航属性：作业环节
        /// </summary>
        [Description("作业任务库")]
        public T_HM_OPERATION_LINK Nav_OperationLink { get; set; }
        /// 相关岗位
        /// </summary>
        [Description("相关岗位")]
        [DataFieldForeignKey("Nav_Post")]
        [FormFieldEdit]
        public Guid? POST_ID { get; set; }
        /// <summary>
        /// 导航属性：相关岗位
        /// </summary>
        [Description("导航属性：相关岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
